WPS8TextInternal::Object Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
WPS8TextInternal::Object Struct Reference

Internal: class to store an object definition. More...

## Public Types
enum | Type { UnknownObject = 0 , Table , Image }
| the object type More...

## Public Member Functions
| Object ()
| constructor

## Public Attributes
int | m_type
| the type (normally a Type, ...)
int | m_id
| an identificator
Vec2f | m_size
| the size of the object in a page
long | m_unknown
| unknown data
std::string | m_error
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator <<

## Detailed Description

Internal: class to store an object definition.

## Member Enumeration Documentation

## ◆ Type

enum WPS8TextInternal::Object::Type

the object type

Enumerator
UnknownObject |
Table |
Image |

## Constructor & Destructor Documentation

## ◆ Object()

WPS8TextInternal::Object::Object | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Object const & | obj )
| friend

operator <<

## Member Data Documentation

## ◆ m_error

std::string WPS8TextInternal::Object::m_error

a string used to store the parsing errors

Referenced by Object(), and operator<<.

## ◆ m_id

int WPS8TextInternal::Object::m_id

an identificator

Referenced by Object(), and operator<<.

## ◆ m_size

Vec2f WPS8TextInternal::Object::m_size

the size of the object in a page

Referenced by Object(), and operator<<.

## ◆ m_type

int WPS8TextInternal::Object::m_type

the type (normally a Type, ...)

Referenced by Object(), and operator<<.

## ◆ m_unknown

long WPS8TextInternal::Object::m_unknown

unknown data

Referenced by Object(), and operator<<.

The documentation for this struct was generated from the following file:

- WPS8Text.cpp